Skip to content
YusrDocs

API reference

Balance

Your balance shows money collected but not yet available (pending), money ready for the next settlement (available) and the total paid out to your bank (settled). All amounts are in kobo.

Balance endpoints
get/v1/balanceRetrieve balances

Read the Settlements and fees for the concepts behind these endpoints.

Retrieve balances

get/v1/balance
curl "https://api.yusr.ng/v1/balance" \
  -H "Authorization: Bearer sk_test_..."

Responses

200Balances
Show response attributes
Response attributes
objectstringrequired

always "balance"

modestringrequired

One of test, live

currencystringrequired

always "NGN"

pendingintegerrequired

Collected, not yet available for settlement.

availableintegerrequired

Ready for the next settlement.

settledintegerrequired

Total paid out to your bank to date.

Response 200
{
  "object": "balance",
  "mode": "live",
  "currency": "NGN",
  "pending": 4925000,
  "available": 7387500,
  "settled": 152340000
}
Error responses
StatusMeaningError codes
401Authentication failedauthentication_failed
Try it in the sandbox